

package Physics3D;

import javax.vecmath.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;



public abstract class Particle3DTracker extends JFrame
{
	
	private static ArrayList trackers = new ArrayList();
	protected Particle3D[] particles;
	
	public Particle3DTracker()
	{
		trackers.add(this);
		addWindowListener(new java.awt.event.WindowAdapter() {
			public void windowClosing(java.awt.event.WindowEvent e) {
				thisWindowClosing(e);
			}
		});
	
	}

	public abstract void updateInfo();
	
	public static void updateAll()
	{
		for(int i = 0; i < trackers.size(); i++)
		{
			((Particle3DTracker)trackers.get(i)).updateInfo();
		}
	}
	
	public void thisWindowClosing(WindowEvent e)
	{
		trackers.remove(this);
	}
	
}