package com.bchilds.Physics3D;

import javax.media.j3d.*;
import java.util.*;

public class CollisionBehavior extends Behavior
{
	Particle3D particle;
	
	public CollisionBehavior(Particle3D p)
	{
		particle = p;
		
	}
	
	public void initialize()
	{
		this.setSchedulingBounds(Physics3DThread.getBoundingSphere());
		
		this.wakeupOn(new WakeupOnCollisionEntry(particle.getShape3D(), WakeupOnCollisionEntry.USE_BOUNDS));

	}
	
	public void processStimulus(Enumeration criteria)
	{
		while(criteria.hasMoreElements())
		{
			Object o = criteria.nextElement();
			
			System.out.println(o.getClass());
		
		}
		wakeupOn(new WakeupOnCollisionEntry(particle.getShape3D(), WakeupOnCollisionEntry.USE_BOUNDS));

	}

}